#pragma once
#include "DeerRender/Render/RenderAPI.h"

namespace Deer {
	class VertexArray;

	class Render {
	public:
		static void initExecution();
		static void endExecution();

		static void submit(VertexArray& vertexArray);
		static void submitLine(VertexArray& vertexArray);
		static RenderAPI::API getAPI() { return RenderAPI::getAPI(); }
	};
}